Index: src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Connection.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Connection.java,v
retrieving revision 1.27
diff -c -r1.27 AbstractJdbc1Connection.java
*** src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Connection.java	29 Oct 2003 02:39:09 -0000	1.27
--- src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Connection.java	18 Dec 2003 01:06:29 -0000
***************
*** 1109,1115 ****
  	 */
  	public void close() throws SQLException
  	{
! 		if (haveMinimumCompatibleVersion("7.4")) {
  			closeV3();
  		} else {
  			closeV2();
--- 1109,1115 ----
  	 */
  	public void close() throws SQLException
  	{
! 		if (getPGProtocolVersionMajor() == 3) {
  			closeV3();
  		} else {
  			closeV2();
Index: src/interfaces/jdbc/org/postgresql/fastpath/Fastpath.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/fastpath/Fastpath.java,v
retrieving revision 1.16.2.1
diff -c -r1.16.2.1 Fastpath.java
*** src/interfaces/jdbc/org/postgresql/fastpath/Fastpath.java	17 Dec 2003 15:48:39 -0000	1.16.2.1
--- src/interfaces/jdbc/org/postgresql/fastpath/Fastpath.java	18 Dec 2003 01:06:29 -0000
***************
*** 63,69 ****
  	 */
  	public Object fastpath(int fnid, boolean resulttype, FastpathArg[] args) throws SQLException
  	{
! 		if (conn.haveMinimumCompatibleVersion("7.4")) {
  			return fastpathV3(fnid, resulttype, args);
  		} else {
  			return fastpathV2(fnid, resulttype, args);
--- 63,69 ----
  	 */
  	public Object fastpath(int fnid, boolean resulttype, FastpathArg[] args) throws SQLException
  	{
! 		if (conn.getPGProtocolVersionMajor() == 3) {
  			return fastpathV3(fnid, resulttype, args);
  		} else {
  			return fastpathV2(fnid, resulttype, args);
